package com.realnet.order_estimation.Services;
import java.util.*;
import com.realnet.order_estimation.Repository.ManufacturerRepository;
import com.realnet.order_estimation.Entity.Manufacturer;

import com.realnet.order_estimation.Entity.Manufacturer_ListFilter1;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
	import org.springframework.stereotype.Service;

@Service
 public class Manufacturer_ListFilter1Service {
@Autowired
private ManufacturerRepository Repository;




 public   List<Manufacturer_ListFilter1>   getlistbuilder() {
	List<Manufacturer> list= Repository.findAll();
		ArrayList<Manufacturer_ListFilter1> l = new ArrayList<>();
		for (Manufacturer data : list) {
{	
Manufacturer_ListFilter1 dummy = new Manufacturer_ListFilter1();
			dummy.setId(data.getId());
  dummy.setManufacturer_name(data.getManufacturer_name());
	l.add(dummy);
} 
} 		
return l;}



 public   List<Manufacturer_ListFilter1>   getlistbuilderparam( ) {
	List<Manufacturer> list= Repository.findAll();
		ArrayList<Manufacturer_ListFilter1> l = new ArrayList<>();
		for (Manufacturer data : list) {
{	
Manufacturer_ListFilter1 dummy = new Manufacturer_ListFilter1();
			dummy.setId(data.getId());
  dummy.setManufacturer_name(data.getManufacturer_name());
	l.add(dummy);
} 
} 		
return l;}
}